Bug 183322 - Review Request: conexus (network and serial I/O library with Gtkmm widgets)
Review Request: conexus (network and serial I/O library with Gtkmm widgets)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT conexusmm
  Show dependency treegraph
 
Reported: 2006-02-28 02:12 EST by Rick L Vinyard Jr
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-08 20:44:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch against conexus-0.2.2 (468 bytes, patch)
2006-08-05 21:24 EDT, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Rick L Vinyard Jr 2006-02-28 02:12:31 EST
Note: This is sort of my first package. I have another package (cairomm) pending review. I don't have any of the same mistakes in conexus.spec that I had in cairomm.spec, and hopefully I didn't make any new ones. So, I still don't have a sponsor, but I'm not sure if you want to mark this one as NEED_SPONSOR also.

Spec Name or Url: http://miskatonic.cs.nmsu.edu/pub/conexus.spec
SRPM Name or Url: http://miskatonic.cs.nmsu.edu/pub/fedora/4/srpms/conexus-0.1.15-1.src.rpm

Description: 
Conexus is a generalized C++ I/O library that includes support for BSD
sockets, serial/tty, packet capture (via pcap), et. al. conexus utilizes
sigc++ for object communication. A companion library, conexusgtk, provides
a set of gtkmm widgets.
Comment 1 Rick L Vinyard Jr 2006-03-04 04:35:10 EST
Several things showed up in another package I submitted, so I've made changes to
correct the same issues in this package. New versions are here:

Spec Name or Url: http://miskatonic.cs.nmsu.edu/pub/conexus.spec
SRPM Name or Url:
http://miskatonic.cs.nmsu.edu/pub/fedora/4/srpms/conexus-0.1.16-1.src.rpm
Comment 2 Rick L Vinyard Jr 2006-03-05 16:33:36 EST
A few minor tweaks, including cleanup of the Source tag and the %setup section.

Spec Name or Url: http://miskatonic.cs.nmsu.edu/pub/conexus.spec

SRPM Name or Url:
http://miskatonic.cs.nmsu.edu/pub/fedora/4/srpms/conexus-0.1.16-2.src.rpm
Comment 3 Michael Schwendt 2006-03-27 18:24:06 EST
* Missing "BuildRequires: libpcap"

* The two %doc files AUTHORS and COPYING are included in both the -devel
package and the main package, which should be avoided.

* The -devel package is missing "Requires: libpcap" for /usr/include/pcap.h

* The -devel should "Requires: pkgconfig" since without using
pkg-config's --cflags and --libs commands it would be difficult
to find out all the include search paths and libraries

* DNS-based random mirror download location for SF.net actually is of
the generic form (and command-line compatible!):
http://download.sourceforge.net/conexus/%{name}-%{version}.tar.bz2
Also available: http://dl.sf.net/....

With those changes applied (you're upstream): APPROVED

What's the status of the examples?

$ cd widget_tests
$ ./main
terminate called after throwing an instance of 'conexus::error::address::no_name'
  what():  conexus:address:errno[-2]: The  name  does  not  resolve for the
supplied parameters.
Aborted
Comment 4 Rick L Vinyard Jr 2006-04-18 00:44:54 EDT
Regarding the widget_test example, there have been some major changes to the
structure of the library itself. All the examples are good to go now; IPv6
support is now present for UDP and multicasting along with manipulation of IPv6
addresses including convenience wrappers for getaddrinfo() and gethostinfo()
that work with std::string's.

Despite the internal changes to the library itself, the spec hasn't changed much
except for cleanup of the mentioned items in the review.

The gtkmm widgets have also been split into a separate library (conexusgtkmm)
and now also support IPv6 names. Should I submit conexusgtkmm as a separate
package for review? The spec for conexusgtkmm is directly based on the
previously reviewed spec, while the new conexus spec is the same with the gtkmm
dependency removed and replaced by glibmm.
Comment 5 Michael Schwendt 2006-04-18 20:56:01 EDT
> Should I submit conexusgtkmm as a separate package for review?

Better is. So this late package split gets another check.
Comment 6 Rick L Vinyard Jr 2006-07-06 11:52:43 EDT
I'm getting ready to release a new version of this library in the next couple of
weeks.

Since it needs another review, it would probably be best to wait until the new
release comes out.

Also, I'll clean up the spec a bit to include the hints you provided on the bit
library.
Comment 7 Rick L Vinyard Jr 2006-07-15 15:10:12 EDT
I've submitted another bug report for the conexusmm library which now has the
Gtkmm widgets. The spec file for the conexusmm library is identical to this one
with the exception of the dependencies and the inclusion of a conexusmm-demo
application that is based on gtkdemo.

All the issues of the previous review have been taken care of in the revised
spec along with several other issues that came up in the bit library review.

Here are the new files:
Spec Name or Url: http://miskatonic.cs.nmsu.edu/pub/conexus.spec

SRPM Name or Url:
http://miskatonic.cs.nmsu.edu/pub/fedora/5/srpms/conexus-0.2.0-1.src.rpm
Comment 8 Rick L Vinyard Jr 2006-07-29 19:14:51 EDT
New release.

Here are the new files:
Spec Name or Url: http://miskatonic.cs.nmsu.edu/pub/conexus.spec

SRPM Name or Url:
http://miskatonic.cs.nmsu.edu/pub/fedora/5/srpms/conexus-0.2.1-1.src.rpm
Comment 9 Paul F. Johnson 2006-07-29 19:31:05 EDT
make DESTDIR=%{buildroot} install

Again, be consistent with your macros

%{__rm} -rf %{buildroot}%{_bindir}

Why?

%{__cp} -arv docs/reference/html .

As with papyrus, can you include a comment on this

%{_libdir}/pkgconfig/*

No. For pkgconfig please use the name of the spec. I know you're using generic
templates for these, but where possible, include the names of libraries,
binaries and spec files.

%configure --enable-static=no

(niggle) %configure --disable-static not permitted (usually is)
Comment 10 Rick L Vinyard Jr 2006-07-30 18:42:37 EDT
Spec Name or Url: http://miskatonic.cs.nmsu.edu/pub/conexus.spec

SRPM Name or Url:
http://miskatonic.cs.nmsu.edu/pub/fedora/5/srpms/conexus-0.2.1-2.src.rpm

* Sun Jul 30 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.1-2
- Added cppunit-devel to BuildRequires
- Changed make to %%{__make}
- Changed %%{name} to autoconf subst that puts specific name in devel requires
- Added comment regarding why cp occurs for docs
- Added package name to globs in so libs, .pc and demos

Comment 11 Rick L Vinyard Jr 2006-08-02 00:46:40 EDT
Spec Name or Url: http://miskatonic.cs.nmsu.edu/pub/conexus.spec

SRPM Name or Url:
http://miskatonic.cs.nmsu.edu/pub/fedora/5/srpms/conexus-0.2.2-1.src.rpm

- Added pkgconfig to Requires
- New release
Comment 12 Michael Schwendt 2006-08-05 21:24:23 EDT
Created attachment 133701 [details]
patch against conexus-0.2.2

Build failure with FC Development. Trivial patch attached.

[...]

In Fedora Core Development, libpcap has been split into libpcap-devel
and libpcap finally. So, it must be "BuildRequires: libpcap-devel"
and "Requires: libpcap-devel" in the -devel package now.

[...]

Errors during configure:

> checking for PROJECT... yes
> ./configure: line 24662: m4: command not found
> ./configure: line 24662: m4: command not found

Missing "BuildRequires m4"?

With those easy-to-fix issues fixed: APPROVED

Note You need to log in before you can comment on or make changes to this bug.